Package org.pushingpixels.flamingo.api.ribbon.resize

# Class CoreRibbonResizePolicies.Mid2Mid

java.lang.Object
org.pushingpixels.flamingo.api.ribbon.resize.BaseRibbonBandResizePolicy<JBandControlPanel>
org.pushingpixels.flamingo.api.ribbon.resize.CoreRibbonResizePolicies.BaseCoreRibbonBandResizePolicy
org.pushingpixels.flamingo.api.ribbon.resize.CoreRibbonResizePolicies.Mid2Mid

All Implemented Interfaces:
  `RibbonBandResizePolicy`

Enclosing class:
  `CoreRibbonResizePolicies`

public static final class CoreRibbonResizePolicies.Mid2Mid extends CoreRibbonResizePolicies.BaseCoreRibbonBandResizePolicy
Core resize policy that maps:

- `RibbonElementPriority.TOP` -> `RibbonElementPriority.TOP`
- `RibbonElementPriority.MEDIUM` -> `RibbonElementPriority.MEDIUM`
- `RibbonElementPriority.LOW` -> `RibbonElementPriority.MEDIUM`

## Field Summary

### Fields inherited from class org.pushingpixels.flamingo.api.ribbon.resize.CoreRibbonResizePolicies.BaseCoreRibbonBandResizePolicy

`mapping`

### Fields inherited from class org.pushingpixels.flamingo.api.ribbon.resize.BaseRibbonBandResizePolicy

`controlPanel`

## Constructor Summary

Constructors
Constructor
Description
`Mid2Mid(JBandControlPanel controlPanel)`
Creates the new resize policy of type `MID2MID`.

## Method Summary

### Methods inherited from class org.pushingpixels.flamingo.api.ribbon.resize.CoreRibbonResizePolicies.BaseCoreRibbonBandResizePolicy

`getPreferredButtonWidth, getPreferredWidth, getWidth, install`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Mid2Mid

public Mid2Mid(JBandControlPanel controlPanel)
Creates the new resize policy of type `MID2MID`.

Parameters:
  `controlPanel` - The control panel of the associated ribbon band.